Skip to main content
POST
/
v1
/
tags
Create a tag
curl --request POST \
  --url https://api.prod.getdex.com/v1/tags/ \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tag": {
    "name": "<string>"
  }
}
'
{
  "error": true,
  "data": {
    "tag": {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "color": "<string>",
      "created_at": "<string>",
      "updated_at": "<string>"
    }
  }
}

Use cases

  • Let users create custom tags from a tag management page
  • Programmatically create tags during a data import
  • Set up default tags for new users during onboarding

Authorizations

Authorization
string
header
required

Use your Dex API key (e.g. dex_abc123...) as the Bearer token.

Query Parameters

include
object

Body

application/json
tag
object
required

Response

Successful response

error
boolean
required
data
object
required